%define name	zypper
%define docdir	%{_defaultdocdir}/%{name}

Name:		%{name}
Version:	1.14.56
Release:	%mkrel 1
Summary:	Command line package manager
License:	GPLv2+
Group:		System/Packaging
URL:		http://en.opensuse.org/Zypper
Source0:	%{name}-%{version}.tar.gz
Patch1:		zypper-1.6.5-docdir.patch
#Patch2:		zypper-1.7.8-use-pkgconfig.patch
BuildRequires:	boost-devel
BuildRequires:	cmake
BuildRequires:	augeas-devel
BuildRequires:	libzypp-devel
BuildRequires:	readline-devel
BuildRequires:	libxml2-devel
BuildRequires:  ruby-asciidoctor
Provides:	apt
Obsoletes:	apt < 1:0.6

%description
Zypper is a command line package manager, which makes use of libzypp,
providing functions like repository access, dependency solving,
package installation, etc.

The XML based repository metadata used by this package manager is not
available on Mageia mirrors so it cannot be used for regular package
installation.

%prep
%autosetup -p1

%build
%cmake -DFEDORA:BOOL=TRUE -DDOC_INSTALL_DIR:PATH=%{docdir}
%cmake_build

%install
%cmake_install

%find_lang %{name}

# Fix shebang for zypper-log
sed -e "s|/usr/bin/env python|/usr/bin/python3|g" -i %{buildroot}%{_sbindir}/zypper-log

%files -f %{name}.lang
%{_bindir}/%{name}
%{_bindir}/apt
%{_bindir}/apt-get
%{_sbindir}/%{name}*
%{_bindir}/aptitude
%{_bindir}/installation_sources
%exclude %{_bindir}/needs-restarting
%{_sbindir}/zypp-refresh
%{_sysconfdir}/bash_completion.d
%config(noreplace) %{_sysconfdir}/logrotate.d/zypp-refresh.lr
%config(noreplace) %{_sysconfdir}/logrotate.d/zypper.lr
%config(noreplace) %{_sysconfdir}/zypp/%{name}.conf
%{_sysconfdir}/zypp/apt-packagemap.d
%{_datadir}/%{name}
%{_mandir}/man*/%{name}*
%exclude %{_mandir}/man1/needs-restarting.1.*
%{_mandir}/man8/zypp-refresh.8.*
%{docdir}


%changelog
* Sun Sep 04 2022 neoclust <neoclust> 1.14.56-1.mga9
+ Revision: 1883930
- New version 1.14.56

* Tue Apr 05 2022 umeabot <umeabot> 1.14.50-2.mga9
+ Revision: 1844674
- Mageia 9 Mass Rebuild

* Wed Nov 17 2021 cjw <cjw> 1.14.50-1.mga9
+ Revision: 1757597
- 1.14.50

* Fri Sep 24 2021 cjw <cjw> 1.14.49-1.mga9
+ Revision: 1746292
- 1.14.49

* Thu Jan 14 2021 neoclust <neoclust> 1.14.42-1.mga8
+ Revision: 1671667
- New version 1.14.42

* Wed Feb 19 2020 umeabot <umeabot> 1.14.33-2.mga8
+ Revision: 1543451
- Mageia 8 Mass Rebuild

* Sun Jan 19 2020 cjw <cjw> 1.14.33-1.mga8
+ Revision: 1481622
- 1.14.33

* Sun Jan 05 2020 tv <tv> 1.14.32-2.mga8
+ Revision: 1476675
- use %%autosetup
- Fix shebang for zypper-log
- rebuild for new readline
+ wally <wally>
- build with new cmake macros

* Wed Oct 30 2019 cjw <cjw> 1.14.32-1.mga8
+ Revision: 1456661
- 1.14.32
- make obsoletes versioned

* Fri Oct 04 2019 daviddavid <daviddavid> 1.14.16-2.mga8
+ Revision: 1449228
- rebuild for new libzypp

* Sat Jan 05 2019 cjw <cjw> 1.14.16-1.mga7
+ Revision: 1349606
- add BuildRequires: asciidoc
- 1.14.16

* Tue Jan 22 2013 fwang <fwang> 1.7.3-4.mga3
+ Revision: 390837
- update rpm group

* Mon Jan 14 2013 colin <colin> 1.7.3-3.mga3
+ Revision: 387884
- Hopefully fix build (libxml2 path not included)
+ umeabot <umeabot>
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild
+ dmorgan <dmorgan>
- Fix BR

* Sun Jul 01 2012 colin <colin> 1.7.3-1.mga3
+ Revision: 266251
- New version: 1.7.3

* Fri Jun 17 2011 cjw <cjw> 1.6.5-1.mga2
+ Revision: 108575
- imported package zypper

